package com.dgtly.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 用户信息扩展对象 sys_user_ext
 *
 * @author qxp
 * @date 2020-07-29
 */
public class SysUserExt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long userId;

    /** 所属组织code */
    private String orgCode;

    /** 销售等级详见字典（sales_level） */
    private String salesLevel;

    /** 所属组织名称 */
    private String orgName;

    /** 雇员id */
    private String sapEmployeeId;

    /** 领导id */
    private String bossEmployeeId;

    /** 领导名称 */
    private String bossName;

    /** 经销商所属门店代码 */
    private String customerCode;

    /** 是否是经销商负责人 1是  0不是*/
    private String isCustomerManager;

    /** 岗位代码 */
    private String postCode;

    /** 岗位名称 */
    private String postName;
    private Integer isChangeExt  =0;

    private String  identity;
    /**职务*/
    private String duty;

    private String dutyName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date delTime;

    private String delFlag;

    public String getDuty() {
        return duty;
    }

    public void setDuty(String duty) {
        this.duty = duty;
    }

    public Date getDelTime() {
        return delTime;
    }

    public void setDelTime(Date delTime) {
        this.delTime = delTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDutyName() {
        return dutyName;
    }

    public void setDutyName(String dutyName) {
        this.dutyName = dutyName;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setOrgCode(String orgCode)
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode()
    {
        return orgCode;
    }
    public void setSalesLevel(String salesLevel)
    {
        this.salesLevel = salesLevel;
    }

    public String getSalesLevel()
    {
        return salesLevel;
    }
    public void setOrgName(String orgName)
    {
        this.orgName = orgName;
    }

    public String getOrgName()
    {
        return orgName;
    }
    public void setSapEmployeeId(String sapEmployeeId)
    {
        this.sapEmployeeId = sapEmployeeId;
    }

    public String getSapEmployeeId()
    {
        return sapEmployeeId;
    }
    public void setBossEmployeeId(String bossEmployeeId)
    {
        this.bossEmployeeId = bossEmployeeId;
    }

    public String getBossEmployeeId()
    {
        return bossEmployeeId;
    }

    public String getBossName() {
        return bossName;
    }

    public void setBossName(String bossName) {
        this.bossName = bossName;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getIsCustomerManager() {
        return isCustomerManager;
    }

    public void setIsCustomerManager(String isCustomerManager) {
        this.isCustomerManager = isCustomerManager;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public String getPostName() {
        return postName;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }

    public Integer getIsChangeExt() {
        return isChangeExt;
    }

    public void setIsChangeExt(Integer isChangeExt) {
        this.isChangeExt = isChangeExt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("orgCode", getOrgCode())
            .append("salesLevel", getSalesLevel())
            .append("orgName", getOrgName())
            .append("sapEmployeeId", getSapEmployeeId())
            .append("bossEmployeeId", getBossEmployeeId())
            .append("bossName", getBossName())
            .toString();
    }
}
